<div class="widget-form tld-default-border">
    <h1 class="text-xl-semi-bold">{{ 'TRANSLATION_PROVIDER.TITLE' | translate }}</h1>
    <form [formGroup]="translationProviderForm">
        <div class="row mb-3 flex-column">
            <div class="col">
                <div class="text-m">{{'TRANSLATION_PROVIDER.CHOOSE_PROVIDER' | translate }}</div>
                <mat-radio-group [attr.aria-label]="'TRANSLATION_PROVIDER.ARIA_LABEL.SELECT_PROVIDER' | translate"
                    formControlName="type" (change)="radioChange($event)" formGroupName="type">
                    <mat-radio-button [value]="eTranslation">{{'TRANSLATION_PROVIDER.E_TRANSLATION' |
                        translate}}</mat-radio-button>
                    <mat-radio-button [value]="customProvider">{{'TRANSLATION_PROVIDER.CUSTOM_PROVIDER' |
                        translate}}</mat-radio-button>
                </mat-radio-group>
            </div>
        </div>
        <div *ngIf="!showCustomProviderForm" formGroupName="auth">
            <div formGroupName="basic">
                <div class="row mb-3">
                    <div class="col-4">
                        <div class="text-l-semi-bold">{{'TRANSLATION_PROVIDER.USERNAME' | translate }}</div>
                        <div class="text-m">{{'TRANSLATION_PROVIDER.USERNAME_SUBTITLE' | translate }}</div>
                    </div>
                    <div class="col">
                        <mat-form-field appearance="outline" color="accent" class="w-100">
                            <mat-label>{{'TRANSLATION_PROVIDER.USERNAME_LABEL' | translate }}</mat-label>
                            <input matInput formControlName="username">
                            <mat-error *ngIf="username.errors?.required">
                                {{'TRANSLATION_PROVIDER.PLEASE_ENTER_USERNAME' | translate }}
                            </mat-error>
                            <mat-error *ngIf="username.errors?.minlength">
                                {{'TRANSLATION_PROVIDER.USERNAME_LENGTH' | translate }}
                            </mat-error>
                        </mat-form-field>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-4">
                        <div class="text-l-semi-bold">{{'TRANSLATION_PROVIDER.PASSWORD' | translate }}</div>
                        <div class="text-m">{{'TRANSLATION_PROVIDER.PASSWORD_SUBTITLE' | translate }}</div>
                    </div>
                    <div class="col">
                        <mat-form-field appearance="outline" color="accent" class="w-100">
                            <mat-label>{{'TRANSLATION_PROVIDER.PASSWORD_LABEL' | translate }}</mat-label>
                            <input matInput formControlName="password" [type]="hidePassword ? 'password' : 'text'">
                            <mat-icon matSuffix [matTooltip]="(hidePassword ? 'TRANSLATION_PROVIDER.SHOW_PASSWORD' : 'TRANSLATION_PROVIDER.HIDE_PASSWORD') | translate"
                                [attr.aria-label]="(hidePassword ? 'TRANSLATION_PROVIDER.SHOW_PASSWORD' : 'TRANSLATION_PROVIDER.HIDE_PASSWORD') | translate"
                                (click)="hidePassword = !hidePassword">{{hidePassword ?
                                'visibility_off':'visibility'}}
                            </mat-icon>
                            <mat-error *ngIf="password.errors?.required">
                                {{'TRANSLATION_PROVIDER.PLEASE_ENTER_PASSWORD' | translate }}
                            </mat-error>
                            <mat-error *ngIf="password.errors?.minlength">
                                {{'TRANSLATION_PROVIDER.PASSWORD_LENGTH' | translate }}
                            </mat-error>
                        </mat-form-field>
                    </div>
                </div>
            </div>
        </div>
        <div *ngIf="showCustomProviderForm">
            <div class="row mb-3">
                <div class="col-4">
                    <div class="text-l-semi-bold">{{'TRANSLATION_PROVIDER.BASE_URL' | translate }}</div>
                    <div class="text-m">{{'TRANSLATION_PROVIDER.BASE_URL_SUBTITLE' | translate }}</div>
                </div>
                <div class="col">
                    <mat-form-field appearance="outline" color="accent" class="w-100">
                        <mat-label>{{'TRANSLATION_PROVIDER.BASE_URL_SUBTITLE' | translate }}</mat-label>
                        <input matInput formControlName="url">
                        <mat-error *ngIf="url.errors?.required">
                            {{'TRANSLATION_PROVIDER.PLEASE_ENTER_BASE_URL' | translate }}
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-4">
                    <div class="text-l-semi-bold">{{'TRANSLATION_PROVIDER.API_KEY' | translate }}</div>
                    <div class="text-m">{{'TRANSLATION_PROVIDER.API_KEY_SUBTITLE' | translate }}</div>
                </div>
                <div class="col" formGroupName="auth">
                    <mat-form-field appearance="outline" color="accent" class="w-100">
                        <mat-label>{{'TRANSLATION_PROVIDER.API_KEY_SUBTITLE' | translate }}</mat-label>
                        <input matInput formControlName="apiKey">
                        <mat-error *ngIf="apiKey.errors?.required">
                            {{'TRANSLATION_PROVIDER.PLEASE_ENTER_API_KEY' | translate }}
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>
        </div>
    </form>
    <div class="row mt-3">
        <p class="set-up-url text-m" [innerHTML]="howToSetupText | translate: howToSetUpLocalizationParams">
        </p>
        <div class="col offset-4 text-right">
            <div class="action-button-container">
                <button mat-flat-button color="accent" (click)="onSubmit()" class="action-button ml-3"
                    [disabled]="translationProviderForm.invalid || isLoading">
                    {{ 'TRANSLATION_PROVIDER.SAVE' | translate }}
                </button>
            </div>
        </div>
    </div>
</div>